from strictyaml import utils as utils
from strictyaml.exceptions import (
    InvalidValidatorError as InvalidValidatorError,
    YAMLSerializationError as YAMLSerializationError,
    YAMLValidationError as YAMLValidationError,
)
from strictyaml.representation import YAML as YAML

unicode = str

class Validator:
    def __or__(self, other: Validator) -> "OrValidator": ...
    def __call__(self, chunk): ...

class MapValidator(Validator): ...
class SeqValidator(Validator): ...

class OrValidator(Validator):
    def __init__(self, validator_a, validator_b) -> None: ...
    def to_yaml(self, value): ...
    def __call__(self, chunk): ...
